> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shift Event

> POSTs request when a shift has been created, updated, or deleted in the Zeal dashboard.

This endpoint specifies what will be sent to your Shift Event Webhook. Zeal POSTs a request containing a pending [Shift Object](/reference/employee-checks/shifts/shift-object) when they have been created, updated, or deleted in the dashboard. You can update and test the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.

***

## Request Body

| attribute      | type    | description                                                              |
| -------------- | ------- | ------------------------------------------------------------------------ |
| test           | boolean | Whether the Shift Event was created/updated/deleted in Test Mode         |
| type           | string  | The operation that was applied to this shift. `create` `update` `delete` |
| companyID      | string  | Zeal `companyID` of Employer                                             |
| business\_name | string  | Business name of Employer                                                |

Other [Shift Object](/reference/employee-checks/shifts/shift-object) fields.

***

## Returns

Doesn't return anything but rather POSTs a request with any changes in the [Shift Object](/reference/employee-checks/shifts/shift-object) to your webhook URL.

***

## Raw Content Example

```json theme={null}
[
  {
    "test": true,
    "type": "update",
    "shiftID": "123678098765",
    "employeeID": "1234567890",
    "employeeCheckID": "1097456820203947",
    "status": "pending",
    "first_name": "Erlich",
    "last_name": "Bachman",
    "time": "2023-05-17T04:00:00Z",
    "metadata": {},
    "wcc_code": null,
    "workLocationID": 34567890,
    "hourly": {
      "hours": 7,
      "wage": 22
    },
    "reimbursement": {
      "amount": 15
    },
  	"timestamp": "2024-01-21T21:29:42Z"
  }
]
```
